Skip to main content
POST
Create a merchant webhook endpoint

Authorizations

Authorization
string
header
required

Merchant API key bearer token.

Headers

Idempotency-Key
string
required

Client-supplied unique key for safe retries of this mutating request. Scoped per merchant or resource as documented on each endpoint.

Example:

"idem-01"

Path Parameters

merchantId
string
required

Merchant TypeID (mer_...) that will own the endpoint.

Body

application/json
url
string<uri>
required
eventTypes
string[]
required
Required array length: 1 - 50 elements
Minimum string length: 1
name
string
Required string length: 1 - 100

Response

201 - application/json
webhookEndpointId
string
required
merchantId
string
required
name
string | null
required
url
string
required
status
enum<string>
required
Available options:
active,
disabled,
deleted
eventTypes
string[]
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
signingSecret
string
required
Minimum string length: 1